#ifndef REMOVE_MC_TEST
#include "ucps2.h"
#include "ucpm2.h"
#include <Decimation_LTE.h>

__DM1 int Add0_addr0[16] = {0};

__DM1 int InputData[] = {
  	 #include <signal_input_ant2.dat>
};
__DM1 int Add0_addr1[14] = {0};


__DM0 int coef_addr[] = {
  	 #include <lut_coef.dat>
};

__DM2 int OutputData[33000]={0};

__DM3 int Config[] = {
	#include <Configdecimation_LTE.dat>
};

__DM3 v16s32 SVRReg  = {
		0, 0, 0, 0,
		0x40, 0, 0, 0,
		0xff00ff, 0, 0, 0x0000,
		0xffff, 0x6, 0, 0
};

int main(void)
{
  volatile int a ;

  int data_length=17536+16;

  int shiftnum=16;	// DeOfdm: 16, Son: 15

  Decimation_LTE((int*)Config,MPU_ADDR(Add0_addr0),MPU_ADDR(InputData),MPU_ADDR(Add0_addr1),MPU_ADDR(coef_addr),MPU_ADDR(OutputData),data_length,shiftnum);

  SVRReg[0] = MPU_ADDR(Config);

  Decimation_LTEAsm(SVRReg);

  a=__ucps2_getStatB();
  __ucps2_delay();

}

#endif //DEBUG_MC

